Mailinglist Archive: opensuse-packaging (74 mails)

< Previous Next >
Re: [opensuse-packaging] help getting started
  • From: David Bolt <bcrafhfr-cnpxntvat@xxxxxxxxxx>
  • Date: Tue, 13 Jun 2006 14:15:38 +0100
  • Message-id: <YmhErNZ6prjEFwie@xxxxxxxxxxxxxxxxxxx>
On Wed, 7 Jun 2006, fblaise@xxxxxxxxxxxxxx wrote:-

>Hi all
>
>New to the packaging world. Would like to build a few packages, such as
>gnomebaker (yes, one exists, but what the hell :>), LAT and firestarter.

You'll have some fun building the firestarter rpm if you use the spec
file in the source archive as it relies on a couple of packages that
SUSE don't supply, namely libuser[0] and usermode[1]. You'll also want
libselinux-devel to build libuser, although libselinux doesn't appear to
be supplied by SUSE for 10.1.

I only had a go at building it because a friend had tried, couldn't
build it and asked if I could figure out why[2]. I ended up building it
on 10.0 64bit, as that is presently my main build machine. I've made a
few modifications to the firestarter.spec:
1, I added a firestarter.desktop file, and call
suse_update_desktop_files to install it in the menu structure;
2, I added a script so firestarter starts during the boot sequence[3];
3, I set up a link so rcfirestarter is available.

Since my friend has figured out why he couldn't build it, and has since
built and installed it, I no longer have any reason to do anything more
with it. However, I've dumped a copy of the source files, and the source
RPMs I build at:

<URL:http://www.davjam.org/~davjam/linux/firestarter/>


[0] using the Fedora Core 4 source RPM from
<URL:http://rpmfind.net/linux/RPM/fedora/4/i386/libuser-0.53.7-1.i386.htm
l>

[1] using the Fedora Core 4 source RPM from
<URL:http://rpmfind.net/linux/RPM/fedora/4/i386/usermode-1.80-1.i386.html
>

[2] He was missing a gnome development library :|

[3] This hasn't been tested as yet, although it does appear to be
install properly.


Regards,
David Bolt

--
Member of Team Acorn checking nodes at 50 Mnodes/s: http://www.distributed.net/
AMD1800 1Gb WinXP/SUSE 9.3 | AMD2400 256Mb SuSE 9.0 | A3010 4Mb RISCOS 3.11
AMD2400(32) 768Mb SUSE 10.0 | Falcon 14Mb TOS 4.02 | A4000 4Mb RISCOS 3.11
AMD2600(64) 512Mb SUSE 10.0 | | RPC600 129Mb RISCOS 3.6

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging-unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging-help@xxxxxxxxxxxx

< Previous Next >
This Thread
References